Workshop: Evaluate an API client library
Closed, ResolvedPublic

Description

API:Client code and MediaWiki API client library evaluations need to be updated and expanded. This is an easy entry point for new contributors to the MediaWiki API ecosystem.

In this workshop, participants will pick an API client library and evaluate it by the Gold standard, using existing evaluations as a template. Participants without much programming experience can evaluate documentation and activity, and more experienced participants can evaluate the code structure, clarity, and overall quality. The perspectives of new developers and users unfamiliar with the details of the API will be particularly valuable for evaluating library usability and identifying pain points.

Fhocutt updated the task description. (Show Details)
Fhocutt raised the priority of this task from to Needs Triage.
Fhocutt added a subscriber: Fhocutt.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2015, 12:42 AM
Qgil added a subscriber: Qgil.Jul 3 2015, 10:25 AM

Please confirm and promote this activity by assigning it to its owner, listing it or scheduling it at the Hackathon wiki page and by placing it in the right column at #Wikimania-Hackathon-2015. Thank you!

Qgil added a comment.Jul 7 2015, 2:06 PM

@Fhocutt, are you planning to give this training session at Wikimania? If so, please schedule it. https://wikimania2015.wikimedia.org/wiki/Hackathon#Schedule

Done, thanks @Qgil. Thursday, Don Américo, 1400.

Qgil assigned this task to Fhocutt.Jul 7 2015, 7:56 PM
zaunere added a subscriber: zaunere.EditedJul 16 2015, 9:00 PM

I've run through the PHP clients:

https://docs.google.com/spreadsheets/d/1HWe5W9W3vS_Td7uRHCwDl1479gHLQXIao28f-12qZD0/edit?usp=sharing

Will try to get create templates, but I don't see that there is a particular client that's very current. I may write my own client instead. Also let me know what else might be useful.

@zaunere: You may also want to take a look at https://en.wikipedia.org/wiki/Wikipedia:PHP_bot_framework_table

I'd recommend finding an active PHP API client lib project to contribute to over writing your own client--"none of these work, I'll write my own" is how we have so many already!

What is the status of this task, now that Wikimania 2015 is over? Did this training session take place? If yes: Please provide an update and potentially summarize findings / potentially provide a link to anything relevant. If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task / potentially close this task by editing its status. Thanks for your help and keeping this task updated!

Qgil closed this task as Resolved.Sep 16 2015, 10:01 AM

I guess this task can be closed as Resolved. Otherwise please reopen.